Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.optimization
Interface Minimizer<T extends Function>

All Known Implementing Classes:
  CGMinimizer, OWLQNMinimizer, QNMinimizer

    public interface Minimizer<T extends Function>

The interface for unconstrained function minimizers.

Implementations may also vary in their requirements for the arguments. For example, implementations may or may not care if the `initial` feasible vector turns out to be non-feasible (or null!). Similarly, some methods may insist that objectives and/or constraint `Function` objects actually be `DiffFunction` objects.

Since:
  1.0
Author:
  Dan Klein

Method Summary
`double[]` | `minimize(T function, double functionTolerance, double[] initial)` Attempts to find an unconstrained minimum of the objective `function` starting at `initial`, within `functionTolerance`.
`double[]` | `minimize(T function, double functionTolerance, double[] initial, int maxIterations)`

Method Detail

### minimize

    double[] minimize(T function,
                      double functionTolerance,
                      double[] initial)

  Attempts to find an unconstrained minimum of the objective `function` starting at `initial`, within `functionTolerance`.

  Parameters:
    `function` - the objective function
    `functionTolerance` - a `double` value
    `initial` - a initial feasible point
  Returns:
    Unconstrained minimum of function

### minimize

    double[] minimize(T function,
                      double functionTolerance,
                      double[] initial,
                      int maxIterations)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group